@import url("https://fonts.googleapis.com/css2?family=Bahiana&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
}

body {
  font-family: Arial, sans-serif;
  line-height: 1.6;
}

.container {
  width: 90%;
  max-width: 1200px;
  margin: auto;
}

header {
  padding: 20px 0;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

nav ul {
  list-style: none;
  display: flex;
  gap: 20px;
}

nav a {
  text-decoration: none;
  font-weight: bold;
}

.hero {
  padding: 80px 0;
  text-align: center;
}

.btn {
  padding: 12px 30px;
  display: inline-block;
  margin-top: 20px;
  text-decoration: none;
}

.produtos {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  gap: 30px;
  padding: 60px 0;
}

.produtos img {
  width: 100%;
  border-radius: 10px;
}

.sobre, .newsletter, .contato {
  padding: 60px 0;
  text-align: center;
}

.newsletter form,
.contato form {
  display: grid;
  gap: 15px;
  max-width: 400px;
  margin: auto;
}

footer {
  padding: 30px 0;
  text-align: center;
}

.dev-bar {
  margin-top: 10px;
  font-size: 14px;
}

.dev-bar a {
  color: gold;
  text-decoration: none;
}

.item-box {
    padding: 10px;
    border: 1px solid #ccc;
    margin: 5px;
    display: none;
    border-radius:8px;
}

.item-box.show {
    display: block;
}

.filters{
    width:100%;
    gap: auto;
    box-sizing: border-box;
    display:flex;
    justify-content:space-around;
}

.filter-btn {
    padding: 10px 15px;
    cursor: pointer;
    margin: 5px;
    border-radius:0px 8px;
    border:none;
    background-color:var(--card-bg) ! important;
    color: var(--card-text) ! important;
}

.filter-btn.active {
    background-color: var(--vermelho) ! important;
    color: white ! important;
}
.button-theme {
    position: relative;
    padding: 10px;
    cursor: pointer;
    transition: all 2s;
    z-index: 9999;
}
.button-whatsapp-bottom {
    display:flex;
    position:fixed;
    bottom:0; 
    justify-content:center; 
    line-height:25px; 
    height:50px; 
    box-shadow:0px -2px 10px #000; 
    z-index:1;
    cursor: pointer;
    background-color:var(--btn-whatsapp);
    white-space: nowrap;
}

.button-whatsapp {
    display: flex;
    justify-content: center;
    align-items: center;
    position:fixed;
    width:90px;
    height:90px;
    right:10px;
    bottom:60px;
    z-index:999999;
    cursor:pointer;
    background-color:var(--btn-whatsapp);
}
.button-whatsapp a{
    text-decoration:none;     
    font-size:70px;
    color:var(--btn-whatsapp-text);
}